#!/bin/bash
set -eu -o pipefail
cd `dirname $0`

source conts-env.sh

service_names=$(jq -r '.[].name' ${rspec_file})
for service_name in $service_names; do
    if lxc-info -n ${service_name}; then
        echo "Stopping container: ${service_name}"
        lxc-stop -n ${service_name}
        echo "Destroying container: ${service_name}"
        lxc-destroy -n ${service_name}
        ip=$(jq -r --arg NAME ${service_name} '.[] | select(.name==$NAME) | .ip_address' ${rspec_file})
        #TODO: this line doesn't work for some reason and it's also dangerous because an IP could match more than 1 line in the file
        #sed -i '/${ip}/d' /etc/lxc/dnsmasq.conf
    fi
done
